# $Revision: 1.6 $, $Date: 2003/03/31 17:55:35 $
Summary:	Encrypted filesystems support for rc-scripts
Summary(pl):	Wsparcie dla szyfrowanych systemw plikw do skryptw startowych
Name:		cryptofs-init
Version:	1.4
Release:	1
License:	GPL
Group:		Base
Group(de):	Grndstzlich
Group(pl):	Podstawowe
Source0:	ftp://ftp.pld.org.pl/software/cryptofs-init/%{name}-%{version}.tar.gz
Requires:	losetup >= 2.11g-3
Requires:	mount
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
Buildarch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a set of scripts to provide easy set up and
usage of encrypted filesystems and swap space.

%description -l pl
Ten pakiet zawiera zestaw skryptw zapewniajcy atwe ustawienie i
uytkowanie szyfrowanych systemw plikw oraz plikw/partycji wymiany

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf modules.conf cryptofstab.example README

%post
/sbin/chkconfig --add cryptofs

%postun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del cryptofs
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%verify(not size mtime md5) %config(noreplace) %{_sysconfdir}/cryptofstab
%attr(754,root,root) /etc/rc.d/init.d/cryptofs*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cryptofs-init.spec,v $
Revision 1.6  2003/03/31 17:55:35  siefca
- added interactive initialization subscript (Criptie)
- modified documentation
- version 1.4

Revision 1.5  2003/03/31 13:59:21  siefca
- fixed fsck for some non-ext2 filesystems (added explicit -t option to fsck)
- version 1.3

Revision 1.4  2001/07/10 09:20:19  zagrodzki
- fixed stdin redirection
- "randompass" implies "new"
- shutdown properly (create subsys lockfile)

Revision 1.3  2001/07/09 14:55:05  zagrodzki
- added README

Revision 1.2  2001/07/09 14:48:55  zagrodzki
- random swap encryption key
- recreate swap fs

Revision 1.1  2001/07/09 12:30:51  zagrodzki
- prepare Makefile/rpm suite
- added examples

